---
title: PerformanceTiming.domComplete
slug: Web/API/PerformanceTiming/domComplete
tags:
  - API
  - Backwards compatibility
  - Deprecated
  - HTML
  - Navigation Timing
  - PerformanceTiming
  - Property
  - Read-only
  - legacy
---
<p>{{APIRef("Navigation Timing")}}</p>

<div class="warning">
<p>This interface of this property is deprecated in the <a href="https://w3c.github.io/navigation-timing/#obsolete">Navigation Timing Level 2 specification</a>. Please use the {{domxref("PerformanceNavigationTiming")}} interface instead.</p>
</div>

<p>The legacy <code><strong>PerformanceTiming</strong></code><strong><code>.domComplete</code></strong> read-only property returns an <code>unsigned long long</code> representing the moment, in miliseconds since the UNIX epoch, when the parser finished its work on the main document, that is when its {{domxref("Document.readyState")}} changes to <code>'complete'</code> and the corresponding {{event("readystatechange")}} event is thrown.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>time</em> = <em>performanceTiming</em>.domComplete;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing', '#dom-performancetiming-domcomplete', 'PerformanceTiming.domComplete')}}</td>
   <td>{{Spec2('Navigation Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceTiming.domComplete")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("PerformanceTiming")}} interface it belongs to.</li>
</ul>
